Subject: bug#53469: closed (Re: [bug#53469] [PATCH v2] gnu: Update nim to 1.6.2)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 23 Jan 2022 17:37:02 +0000

Your bug report

#53469: [PATCH] gnu: Update nim to 1.6.2

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53469: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53469
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#53469] [PATCH v2] gnu: Update nim to 1.6.2
From: Nicolas Goaziou <[email-masked]>
To: "(unmatched-parenthesis via Guix-patches" via <[email-masked]>
Cc: "\(unmatched-parenthesis" <[email-masked]>, [email-masked]
Date: Sun, 23 Jan 2022 18:36:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

"(unmatched-parenthesis via Guix-patches" via <[email-masked]>
writes:

> Oops! I forgot to add a copyright notice and remove the testing
> return :)

Thank you.

I think a copyright is not applicable to a mere version bump since there
is only one way to do it. However, 1) IANAL 2) I am happy to see more
names in modules headers, so I kept the line.

Applied!

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH] gnu: Update nim to 1.6.2
From: "(unmatched-parenthesis" <[email-masked]>
To: [email-masked]
Cc: "\(unmatched-parenthesis" <[email-masked]>
Date: Sun, 23 Jan 2022 13:10:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/nim.scm(nim): Update to 1.6.2.
---
 gnu/packages/nim.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/nim.scm b/gnu/packages/nim.scm
index 0830a6106a..82a559333c 100644
--- a/gnu/packages/nim.scm
+++ b/gnu/packages/nim.scm
@@ -28,14 +28,14 @@ (define-module (gnu packages nim)
 (define-public nim
   (package
     (name "nim")
-    (version "1.4.6")
+    (version "1.6.2")
     (source
      (origin
       (method url-fetch)
       (uri (string-append "https://nim-lang.org/download/"
                           name "-" version ".tar.xz"))
       (sha256
-       (base32 "1gfkk15q022s31ffbsm2lbfrsnsjfslbyixwk7g8bzngha90zg0g"))))
+       (base32 "0wz3jccdbhi7wd19fz9r6zad945iq50qjpbzva8xc5f3lr7p3i4s"))))
     (build-system gnu-build-system)
     (arguments
      `(#:tests? #f ; No tests.
@@ -73,3 +73,5 @@ (define-public nim
 without compromises on runtime efficiency.  This means it focuses on compile-time
 mechanisms in all their various forms.")
     (license license:expat)))
+
+nim
-- 
2.34.0